python-cjson (1.2.1-2) UNRELEASED; urgency=medium

  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Sep 2020 08:54:59 +0200

python-cjson (1.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Bernd Zeimetz ]
  * [23d6283] Update upstream source from tag 'upstream/1.2.1'
    Update to upstream version '1.2.1'
    with Debian dir 5196d14a473c756220dbdef95dfd3721ebaa89dc
  * [b57b89f] Updating Homepage
  * [aa6d0b6] Add debian/.gitlab-ci.yml
  * [967dc34] Removing Dan Pascu from Uploaders

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 23:57:59 +0100

python-cjson (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Switch to dh_python2 (Closes: #786294).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 30 Aug 2015 11:01:54 +0200

python-cjson (1.1.0-1) unstable; urgency=low

  * New upstream version
  * Removing patch for CVE-2010-1666, applied upstream.
  * Removing patch for CVE-2009-4924, not a bug. See
    https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2009-4924

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 13:27:53 +0200

python-cjson (1.0.5-4) unstable; urgency=high

  * debian/patches:
    - New patch: 0002-fix-for-CVE-2009-4924
      Fixing a xss vulnerability by handling ['/'] arguments to cjson.encode
      properly.
      Closes: #593302, Fixes: CVE-2009-2924

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 06 Sep 2010 22:14:36 +0200

python-cjson (1.0.5-3) unstable; urgency=high

  [ Christian Kastner ]
  * debian/source/format
    - Convert to format 3.0 (quilt)
  * debian/patches:
    - New patch 0001-fix-for-CVE-2010-1666
      Matt Giuca discovered a buffer overflow when encoding wide unicode
      characters on UCS4 builds. This fix was taken from Ubuntu LP #585274,
      which he provided.
      Closes: #587700, Fixes: CVE-2010-1666

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 06 Jul 2010 23:22:56 +0200

python-cjson (1.0.5-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
    - Changing the priority of the -dbg package to extra
    - Adding Homepage field, removing pseudo-field from description
    - Adding Vcs-Svn and Vcs-Browser fields
    - Updating my email address
    - Bumping Standards-Version to 3.8.2, no changes needed.
    - Remove cdbs Build-dep, bump required debhelper version.
    - Fix several spelling errors in the descriptions
    - Move the -dbg package into section debug.
    - Add an extra ~ to the python-all-dev build-dep to make lintian
      happy.
    - Enhance the long description of the -dbg package.
  * debian/rules:
    - Replace cdbs weirdness by dh.
  * debian/pycompat:
    - Drop file, not needed.
  * debian/python-cjson.install:
    - Change to install non -dbg files only.
  * debian/python-cjson-dbg.install:
    - Install dbg extensions.
  * debian/copyright:
    - Update the licensing of the debian packaging to 2009.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Jul 2009 22:55:53 +0200

python-cjson (1.0.5-1) unstable; urgency=low

  * New upstream version

 -- Bernd Zeimetz <bernd@bzed.de>  Fri, 24 Aug 2007 16:12:17 +0200

python-cjson (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #420606)

 -- Bernd Zeimetz <bernd@bzed.de>  Wed, 15 Aug 2007 00:35:27 +0200
